Subject: Re: [PATCH 3/4] fast-import: let importers retrieve blobs

From: Thomas Rast <[email-masked]>
Date: Fri, 3 Dec 2010 11:30:05 +0100

Jonathan Nieder wrote:
> +test_expect_success PIPE 'R: copy using cat-file' '
[...]
> +	dd if=/dev/stdin of=blob bs=$size count=1 <&3 &&

This breaks my automated tester, though I am not sure exactly why.  It
runs RHEL5, and I have

  $ ls -l /dev/std*
  lrwxrwxrwx 1 root root 15 Sep  1 09:25 /dev/stderr -> /proc/self/fd/2
  lrwxrwxrwx 1 root root 15 Sep  1 09:25 /dev/stdin -> /proc/self/fd/0
  lrwxrwxrwx 1 root root 15 Sep  1 09:25 /dev/stdout -> /proc/self/fd/1

But from the tests I get back

  dd: opening `/dev/stdin': No such file or directory
  error: git-fast-import died of signal 13
  not ok - 110 R: copy using cat-file

In any case I cannot see a reason to use this construct: 'dd' reads
from stdin by default, so you could just leave away the option.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch